﻿/*
    OBS! ANVÄND EJ DENNA CSS-FIL!
*/

body {
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}


#MainDiv {
    min-height: 700px;
}

#MainDiv form {
    background-color: white;
}

#MainDiv div.Admin form {
    background-color: silver;
}
.KIL-header {
    text-align: center;
    padding: 0;
    margin: 0;
}
.KIL-header-kundvagn {
    text-align: center;
    font-size: 14px;
    padding: 0;
    margin: 0;
}

.KIL-header-produkt {
    text-align: center;
}

#MainDiv div.Shop form {
    background-color: ghostwhite;
}

#MainDiv div.Sok form {
    background-color: ghostwhite;
}

#FormMainDiv {
    border-left: solid 1px #e4e4e4; 
    border-right: solid 1px #e4e4e4; 
    border-bottom: solid 1px #e4e4e4; 
    border-radius:0px 0px 6px; 
    padding: 5px; 
    display: inline-block; 
    width: 100%;
}

#pluswrap {
    color: black;
    font-size: 1.2em;
    z-index: 1000000;
    position: fixed;
    width: 100%;
    height:100%;
    display: flex;
    align-items: center;
    top: 0;
    background-color: rgba(0, 0, 0, 0.6);  /*#F9FAFB;*/
}

.plus {
  display: flex;
  margin: 0 auto;
}

.navbar-collapse.in {
    background-color: white;
    display: inline-block;
    margin-left: 0px;
    border: solid 1px #e9e9e9;
}

/*.navbar-collapse.in {
    position: absolute;
    width: 70%;
}*/

.navbar-toggle {
    border-color: #333;
    float:left;
}


@media (min-width: 768px) {
    #personikon {
        display: none;
    }
}


.navbar-brand {
    /*background-image: url("Images/e_logo.gif");*/
    /*background-image: url("Images/elektroskandia_logo.gif");
    background-repeat: no-repeat;
    background-origin: content-box;*/
    /*width: 220px;*/
    /*height: auto;*/
    height: 45px;
    max-width: 100%;
    padding-left: 0; 
    padding-right:0;
}

#personikon { 
    float:right; 
    height:45px; 
    margin-top: 12px;
}

#logo img,
#personikon img {
    height: auto;
    max-width: 100%; 
}

#menyDiv #telefonnummerTopHolder {
    float:right; 
    position: relative;
}

#menyDiv .telefonnummerTopHolder {
    float:right;
}
#menyDiv span .telefonnummerTopHolder:not(:nth-of-type(2n+1)) {
    margin-right:10px;
}
#menyDiv #menyMain {
    padding-left: 15px; 
    padding-right:0;
    }

#menyDiv #menyMain li {
    padding-left: 0; 
    }

#varningsInformationsbox #varningsTextBehallare {
    text-align: center;
}

#varningsInformationsbox #varningsTextBehallare .Grupp {
    border: solid 1px #e4e4e4; padding: 5px; border-radius: 6px;
}

#varningsInformationsbox .varning, 
#messageHolder .varning{
    color: red;
}

#messageHolder {
    padding-left: 0px;  
    padding-right: 0;
}

#messageHolder .Grupp {
    border: solid 1px #e4e4e4; 
    border-radius: 6px;
    padding: 5px; 
}

#messageHolder .info {
    color: inherit;
}


#SidomenyHintXX {
    display: block; 
    font-weight:600; 
    position:absolute; 
} 


#tillbakaLink {
    display: block; 
    font-weight:600; 
    position:absolute; 
}

#_AdminMenyPartialHallare {
    background-color: white; 
    display:inline-flex; 
    max-width: 80%; 
    padding-bottom: 10px; 
    padding-left: 0; 
    padding-right: 0; 
}

#_AdminMenyPartialHallare #sidomenyUl {
    position: absolute; 
    background-color: #e4e4e4; 
    padding-left: 3px; 
    margin-top: 10px; 
    padding-right: 0; 
    z-index:5000000;
}

#_AdminMenyPartialHallare #sidomenyUl #SidomenyHint {
    padding-left: 0; padding-right: 0; display:flex;
}

#_AdminMenyPartialHallare #sidomenyUl #SidomenyHint span {
    padding-left: 0; padding-right: 10px;
}

#_AdminMenyPartialHallare #sidomenyUl li:not(#SidomenyHint) {
    display: flex;
    padding-left: 0;
    padding-right: 0;
}

#_AdminMenyPartialHallare #sidomenyUl li:not(#SidomenyHint)  span {
    padding-left: 0;
    padding-right: 10px;
}

#MainDiv {
    padding-right: 0;
}

#MainDiv #SidHallare {
    border: solid 1px #e4e4e4; 
    border-radius: 6px; 
    display: inline-block;
    padding: 5px; 
}

#MainDiv #SidHallare #SidToppFlikHallare {
    background-color: lightgray; 
    display:inline; 
    height:20px; 
}

#MainDiv #SidHallare #HjalpUlHallare {
    display:block; 
    position:absolute; 
    right: 100px; 
    z-index: 1000;
}

#MainDiv #SidHallare #HjalpUlHallare #HjalpButton {
    display:block; 
    margin-right:19px; 
}

#MainDiv #SidHallare #HjalpUlHallare #HjalpUl {
    background-color:white; 
    display:inline-block; 
    list-style: outside none none; 
    margin-top:20px;
}
#MainDiv #SidHallare #HjalpUlHallare #HjalpUl  li {
    background-color:white;
}

#_SubmenyPartialHallare #KundvagnIndikator {
    padding-left: 0px; 
    padding-right: 0px;
    position:absolute; 
    right:25px; 
}

#_SubmenyPartialHallare #_SubmenyPartialProduktSokHallare {
    padding-top: 20px; padding-left:0px; padding-right: 0px;
}

#_SubmenyPartialHallare #_SubmenyPartialProduktSokHallare #produktDropdown {
    height:26px;
    min-width:100px; 
    width:100%; 
}

#_SubmenyPartialHallare #_SubmenyPartialProduktSokHallare #sokKatDropdown {
    height:34px;
    margin-bottom:5px; 
    width: 100px; 
}

#_SubmenyPartialHallare #_SubmenyPartialProduktSokHallare #soktext {
    height:26px;
    min-width: 230px; 
}

#_SubmenyPartialHallare #_SubmenyPartialProduktSokHallare #sokikon {
    height:18px; 
    margin-bottom:1px;
    max-width:100%; 
}



.navbar-inverse {
    margin-right:15px;
    margin-left: 15px;
}

.collapse .navbar-nav a:not(.link-button) {
    font-weight: 700;
    color: black;
}

#logoutForm .navbar-nav a:not(.link-button) {
    font-weight: 200;
}

.collapse .navbar-nav #loginLink, 
.collapse .navbar-nav #registerLink,
#logoutForm .navbar-nav a.link-button {
    margin-top: 10px;
    margin-right: 15px;
}


.collapse .navbar-nav a.active {
    color: red;
}

.navbar-collapse .telefonnummerTopHolder {
    font-size: 0.8em;
    /*float: right;*/
    margin-top: 10px;
}

/*.navbar-collapse.in #telefonnummerTopHolder {
    float: left;
    margin-top: 10px;
}
.navbar-collapse #telefonnummerTopHolder {
    float: right;
    margin-top: 10px;
}*/

.subnavbar-nav {
    background-color: #999999;
    /*display: flex;*/
    margin: 0 auto;
    min-height: 50px;
    align-content: center;
}

div .subnavbar-nav {
    margin-bottom: 5px;
    align-content: center;
    display:flex;
}

a.link-button,
.navbar-nav a.link-button {
    background-color: #999999;
    border: 2px outset #999999;
    border-radius: 6px;
    color: buttontext;  
    cursor: pointer;
    padding: 5px;
    line-height: 18px;
    overflow: visible;   
    text-decoration: none;
}
a.link-button:hover 
{
    text-decoration: none;
}

button, input[type=submit], input[type=button] {
    border-radius: 6px;
}

input[type=radio],
input[type=checkbox] {
    margin-right: 10px;
}


.glyphicon-info-sign {
    cursor: pointer;
}


table th,
table td {
    padding-left:3px;
    padding-right:5px;
}

.tablesorter th.headerSortUp { 
    background-image: url("/Content/Images/asc.gif"); 
}

.tablesorter th.headerSortDown { 
    background-image: url("/Content/Images/desc.gif"); 
}


.tablesorter th.header { 
    /*background-image: url("/Content/Images/asc_desc.png");*/ 
    cursor: pointer; 
    font-weight: bold; 
    /*background-color: #d5d5d3;*/ 
    background-repeat: no-repeat; 
    background-position: center right; 
    padding-right: 30px; 
    border-right: 1px solid #dad9c7; 
    border-top: 1px solid #dad9c7; 
    border-bottom: 1px solid #dad9c7; 
    margin-left: -1px; 
} 

.tablesorter th.header:first-child {
    border-left: 1px solid #dad9c7; 
}

.tablesorter th.header:not(.headerSortDown):not(.headerSortUp) { 
    background-image: url("/Content/Images/asc_desc.png"); 
} 




.menyArad {
    background-color:#cecece;
}
.menyBrad {
    background-color:#d5d5d3;
}
.menyCrad {
    background-color:#cecece;
}
.menyDrad {
    background-color:#d5d5d3;
}
.menyErad {
    background-color:#cecece;
}
.menyFrad {
    background-color:#d5d5d3;
}

.menyrad a {
    margin-right: 10px;
    white-space: nowrap;
}

ul li span.menyrad {
    padding-left: 0px;
}

/*.ui-corner-all {
    border-radius: 4px;
}*/


#SidToppFlik, #SokToppFlikVanster, #SokToppFlikHoger {
    /*margin:5px;*/
    background-color: #e4e4e4;
}

#SidToppFlik li:first-child,
#SokToppFlikVanster li:first-child,
#SokToppFlikHoger li:first-child {
    background-image: none;
    border-radius: 6px 0 0;
}
#SidToppFlik li:last-child,
#SokToppFlikVanster li:last-child,
#SokToppFlikHoger li:last-child {
    background-image: none;
    border-radius: 0 6px 0 0;
}

#SidToppFlik li,
#SokToppFlikVanster li,
#SokToppFlikHoger li {
    background: rgba(0, 0, 0, 0.06);
}

#SidToppFlik li:not(.active),
#SokToppFlikVanster li:not(.active),
#SokToppFlikHoger li:not(.active) {
    border-left: 1px solid #e4e4e4;
    border-right: 1px solid #e4e4e4;
}

#SidToppFlik li.active,
#SokToppFlikVanster li.active,
#SokToppFlikHoger li.active {
    background-color: white;
}

#HjalpUl {
    padding: 0 10px 10px;
    z-index: 1000;
}

#HjalpUl li:first-child {
    margin-top: -20px;
    z-index: 1000;
}

#ui-datepicker-div {
    background-color: white;
    border: solid 1px #e4e4e4;
    padding: 5px;
}

#ui-datepicker-div .ui-datepicker-calendar {
    width: 215px;
}

#ui-datepicker-div .ui-datepicker-prev {
    float: left;
}

#ui-datepicker-div .ui-datepicker-next {
    float: right;
}

#ui-datepicker-div .ui-datepicker-title {
    text-align: center;
    margin-bottom: 10px;
}
#ui-datepicker-div .ui-datepicker-title .ui-datepicker-month {
    margin-right: 3px;
}

#ui-datepicker-div .ui-datepicker-calendar, 
#ui-datepicker-div .ui-datepicker-calendar th  {
    text-align: center;
}


#sokbutton {
	/*margin: 8px 5px 5px 0;
	border:none;*/
	/*background:url('/Content/themes/base/images/GUI/icon_sok.png') no-repeat;*/
}

.Grupp {
    background-color: white;
    border-radius: 6px;
    margin: 0 0 10px 0;
    padding-bottom: 10px;
    padding-top: 10px;
    padding-left:0;
    padding-right:0;
}

.Grupprad {
    background-color: inherit;
    display: inline-block;
    width: 100%;
}

.Grupprad label {
    /*width: 30%;*/
}


input[readonly="readonly"]:not(.DatePickerFormat_sv) {
    background-color:lightgrey;
}

input[readonly="readonly"].DatePickerFormat_sv {
    width: 85px;
}

.BreddText {
    width: 100%;
}

@media (min-width: 768px) {
  .container {
    width: auto;
  }
}
/*@media (min-width: 1440px) {
  .container {
    width: auto;
  }
}

@media (min-width: 1900px) {
  .container {
    width: auto;
  }
}*/

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
} 

#ArtiklarResult .detailsview, #GruppAdminDiv .detailsview
{ background-color: white; border: 1px dotted black; padding: 5px; position: absolute; z-index:12; top:17px; width:250px;}

/*.dropdown-menu.kabeldropdown{
   left:0;
}*/
/*dropdown-menu-left {
right:0 !important;
}*/
/*#dropdownmenu2 {
    padding: 0;
}*/